// ======================================================================
//
// pal_wu.h
// jeff grills
//
// copyright 1996 origin systems inc
//
// ======================================================================

#ifndef PAL_WU_H
#define PAL_WU_H

// ======================================================================

class Palette;
#include "paldata.h"

// ======================================================================

class PaletteMaterialData_wu : public PaletteMaterialData
{
private:

	byte *mem;
	void *clut;

public:
	
	PaletteMaterialData_wu(const Palette *pal);
	virtual ~PaletteMaterialData_wu(void);

	void *getClut(void) const;
};

// ======================================================================

inline void *PaletteMaterialData_wu::getClut(void) const
{
	return clut;
}

// ======================================================================

#endif
